CADsite

  • zo 17 01 2021, 12:38:08
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Toon bijdragen

Deze sectie stelt je in staat om alle bijdragen van dit lid te bekijken. Je kunt alleen de bijdragen zien waar je op dit moment toegang toe hebt.

Topics - delangstevandestraat

Pagina's: [1] 2 3 4
1
AutoCAD probleem / dynamic flip zonder mirror WORKED AROUND opgelost-achtig
« Gepost op: vr 02 10 2020, 15:15:48 »
Ik heb een block die ik dynamisch wil flippen rond x-as en y-as
via 2 flip acties is dit geen probleem
één onderdeel van de te flippen objecten is een diagonale lijn die in een rechthoekje staat.
en deze lijn moet altijd van linksboven naar rechts onder getekend blijven staan.
en zou dus niet mogen gespiegeld worden tijdens deze flip actie's

heeft er iemand een idee hoe dit kan geregeld worden ?

alvast bedankt ;-)

2
Autolisp / ongewenste afronding van lambert-coordinaten
« Gepost op: ma 07 09 2020, 15:25:10 »
Ik heb een 3dpolyline in een lambert coordinatenstelsel waar ik in de properties van autocad zelf tot 4 cijfers na de komma zie staan.

Maar eens ik diezelfde PL via lisp watch bekijk dan zijn alle coordinaten afgerond tot op de komma ?
Met dus afrondingsfout tot 50 cm als gevolg.

Dit is reeds zo nog voor ik er in lisp iets mee doe.
Ik vermoed dat er dus misschien ergens een sysvar verkeerd staat, maar 'k weet niet welkeen ;-s

Weet iemand hier een oplossing voor ?

3
Autolisp / lengthen vanuit lisp werkt op de verkeerde kant van de lijn
« Gepost op: vr 31 07 2020, 16:45:45 »
Ik heb een stuk lisp-code die een block wijzigt in een andere block.
hierdoor zijn de aansluitende lijnen te kort of te lang
ik heb deze vanuit lisp met lengthen laten aanpassen en dat lukt wel, maar de wijziging gebeurt langs de verkeerde kant?

ter info : ik heb de lijn geselcteerd d.m.v. een crossing 'ssget' langs de kant waar ie moet wijzigen

hoe kan ik dit oplossen zodat de juiste kant aangepast wordt?

alvast bedankt

4
AutoCAD probleem / dynamic block : flip verknoeit stretch OPGELOST
« Gepost op: vr 17 04 2020, 17:04:02 »
Ik heb in een block een stretch parameter alsook een flip parameter

stretchen geen probleem,
flippen ook geen probleem,

het probleem doet zich voor als je een flip doet, daarna een stretch dan werkt de stretch niet meer juist.
de lijn is bedoeld om altijd in de cirkels uit te komen

heb ik ergens een eigenschap verkeerd staan ?

5
Autolisp / ontleden van ole-objecten
« Gepost op: do 16 04 2020, 07:53:24 »
Ik heb een dwg met tientallen OLE-objecten

omdat autocad hierop crasht, wil ik deze uit de tekenning verwijderen en vervangen door een gewoon block

om dit te kunnen doen heb ik wel graag de info uit de ole's

heeft er iemand een stuk code liggen, (of wil je't maken, graag)

het enige wat er moet gebeuren is na een selectie van het ole, een punt vragen van de gebruiker, daar op dat punt alle teksten gewoon in autocad onder elkaar dumpen.


ps, de ole's hebben niet altijd evenveel teksten in zich

alvast bedankt

6
Ik heb een dwg met slechts 1 layout en daarop staat er 1 viewport,

als ik kijk via quickselect krijg ik ook als antwoord 1 viewport

echter als ik dit vanuit lisp tel via
(setq aantalvp (sslength (ssget "x" (list (cons 0 "viewport")))))dan zegt ie 2 ?

dit is iets dat autocad blijkbaar doet, want in bijlage een lege tekening met enkele lijnen
en ook hier zelfde telfout vanuit lisp

iemand een idee waar lisp die tweede viewport gevonden heeft ?

7
Autolisp / extra block toevoegen aan bestaande group OPGELOST
« Gepost op: di 18 02 2020, 14:27:57 »
Ik wil d.m.v. een klik op een element uit een group een block laten toevoegen aan deze group.
Deze block zit reeds minstens 1 keer in deze group op verschillende positie's.
De positie waar het nieuwe block moet komen wil ik halen uit een positie van een andere block.

Concreet zoek ik naar de manier om een lijst (ofzo) met de block entity's te verkrijgen van een group.

alvast bedankt voor alle hulp.

8
AutoCAD probleem / Fillet tussen opengaande lijnen
« Gepost op: wo 13 03 2019, 15:20:20 »
een fillet tussen lijnen die naar elkaar toelopen en uiteindelijk een hoek zullen vormen,.... geen probleem

Maar ik wil een fillet langs de ander kant, daar waar de lijnen weglopen van elkaar...

ik wil de groene cirkel bekomen.

9
situering :
ik heb een aantel 3d polylines in een bepaalde laag
ik heb een block die daar in de buurt van staat
ik heb de enkel een block en enkele lijnen, (altijd minstens 2) en als ik dit manueel teken dan is dat een lijn v/h insertiepunt van het block loodrecht op de verste lijn, en dan terug loodrecht naar de eerste lijn, en van die 2e lijn neem ik het midden,
de z-positie van het bekomen punt speelt geen rol.

Ik wil dus volledig automatisch via lisp aan het center van de cirkel geraken.

heeft er iemand een idee hoe ik dit het makkelijkst verwezenlijk ? :roll: :?:

10
AutoCAD probleem / ongewenst insert ipv copy PROBLEEM VERDWENEN
« Gepost op: wo 12 09 2018, 14:05:29 »
Ik heb iets heel vreemd voor...

Ik had een block die plots bijna in iedere tekening te voorschijn kwam en ik had die niet geplaatst.
na lange tijd plots gevonden hoe die er kwam...
als volgt:
Ik selecteer iets
ik selecteer "copy" command en besef dat er geen osnap actief is
(ik heb 'osmode4335 in een macro-knopje zitten) en gebruik dit
Ik selecteer base point en target point
En er gebeurt blijkbaar niets...
Echter deze specifieke block (altijd dezelfde block, die een onderdeel is van onze titelhoek)
wordt ge inserted op een punt wat dezelfde verschuiving heeft als tussen base point en target point, maar dan vanuit base point 0,0,0

Vreemd hé...

maar verschrikkelijk ambetant  :( :roll:

heeft er iemand suggestie's ?

11
Autolisp / Positie vergelijken
« Gepost op: di 17 07 2018, 13:23:57 »
Ik heb 2 entiteiten, en ik wil via lisp checken of deze op de zelfde plaats staan...
(if (= apos bpos)
  (doe iets)
)

dit doet niets, alsof hij niet ziet dat het wél gelijk is

wat is de makkelijkste manier om dit te doen ?

12
Autolisp / lijst met keuze's programmeren
« Gepost op: ma 19 03 2018, 09:19:00 »
Ik heb in mijn tekening een block met een attribute waarin een volgnummer zit.
ik wil iets laten gebeuren met één van deze blokken, de gebruiker kiest met welk van deze blokken hij wil werken.

Ik zou dus een venster willen laten opkomen waarin evenveel knopjes staan als er blocken met volgnummers zijn in de tekening.

Ik heb dit nog noooit geprogrammeerd, dus kan iemand me op weg helpen ?

13
Autolisp / ik krijg melding NLS-file missing OPGELOST
« Gepost op: di 13 03 2018, 08:05:02 »
De melding komt er omdat de tekening opgemaakt werd op een pc met een andere taalinstelling, dit is van geen belang,
in deze werken worden een groot aantal dwg's samengevoegd, en dit gebeurt automatisch met een lisp, echter bij deze file's komt telkens de melding van NLS file, OK klikken is goed als oplossing,

De vraag :  hoe klik ik op OK vanuit lisp, wanneer dit venster er komt? (want het komt niet altijd.)

alvast bedankt om te helpen brainstormen ;-)

14
Autolisp / commands met prefix - of_.
« Gepost op: do 15 06 2017, 13:07:03 »
ik heb al lange tijd bepaalde commando' op een bepaalde manier geschreven,
zoals (command "_.insert" ...
en toen kreeg ik nooit een dialog box.

plots krijg ik die nu wel ?

dus graag eens uitleg over wanneer het _.insert of -insert of nog iets anders moet zijn ?

ik wil mijn code's wel aanpassen maar ben een beetje bang dat het misschine onder invloed van één of andere sysvar is en dat het in de toekomst dan weeeer allemaal verkeerd loopt...

15
Autolisp / item of element vervangen in een lijst/matrix OPGELOST
« Gepost op: ma 15 05 2017, 11:26:11 »
Ik was op zoek naar een stukje code om een item te vervangen in een lijst.

(achterliggend probleem eventjes schetsen, zodat jullie mee zijn ;-) )
Ik heb een selset met blocks er in. deze blocks bevatten een volgnummer in hun naam.
Met elk van die blocks wil ik iets doen.
Eens ik de actie gedaan heb wil ik dit onthouden in een lijst, bvb op de N-de positie waarbij N het volgnummer is uit de blocknaam.
Sommige blocks hebben een volgnummer dat reeds behandeld is geweest, vandaar de lijst met 'vlagjes' waardoor mijn code elk volgnummer dus maar een keer behandeld.

Ik hoop dat iedereen snapt waar ik naar toe wil...

Misschien kennen jullie al code die dit doet, geen probleem ik het een perfect stukje code gevonden die dit doet
;; Lee Mac
;;  will substitute a supplied item with item on nth position in list. ;;
;;  Arguments:                                                         ;;
;;  a - item to substitute                                             ;;
;;  n - position in list to make the substitution                      ;;
;;  l - list in which to make the substitution                         ;;
(defun LM:SubstNth (a n l)
  (if l ;if list
    (if (zerop n) ;if n = 0 ?
      (cons a (cdr l)) ;then voeg a vooraan toe aan lijst
      (cons (car l) (LM:SubstNth a (1- n) (cdr l))) ;else haal eerste ent uit lijst en doe code opnieuw met rest v/d lijst
    )
  )
)

Geen probleem dus, maar nu wil een stapje verder, en zoek ik dus code om een item te wijzigen in een lijst van lijsten, (een matrix dus eigenlijk)

ik dacht
(defun wv:substnthmth (a row col l)
  (if l
    (if (zerop row)
      (progn
(setq sl (car l))
        (setq sl (LM:substnth a col sl))
(setq l (cons sl (cdr l)))
      )
      (cons (car l) (wv:substnthmth a (1- row) col (cdr l)))
    )
  ) 
)

Maar dit doet niet wat ik dacht dat het zou doen,

om te debuggen had ik een lijstje gemaakt en dan de codeoproep
(setq lijstje (list (list 1 2 3 4) (list 5 6 7 8) (list 9 10 11 12) (list 13 14 15 16)))
(wv:substnthmth 0 1 2 lijstje)

dan zou op rij 2 het 3e element 0 worden en de lijst er dan zo moeten uitzien

( (1 2 3 4) (5 6 0 8 ) (9 10 11 12) (13 14 15 16)))

bij het stap per stap debuggen zie ik wel wanneer het fout loopt maar ik weet niet waarom en hoe ik het juist krijg...

wie kan helpen ?

Pagina's: [1] 2 3 4